| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::detail::tracking::tbm::Track Class Reference

The Track class describes tracks. More...

`#include <opencv2/tracking/tracking_by_matching.hpp>`

Collaboration diagram for cv::detail::tracking::tbm::Track:

## Public Member Functions
| Track (const TrackedObjects &objs, const cv::Mat &last_image, const cv::Mat &descriptor_fast, const cv::Mat &descriptor_strong)
| Track constructor.
TrackedObject & | back ()
| back returns non-const reference to last object in track.
const TrackedObject & | back () const
| back returns const reference to last object in track.
bool | empty () const
| empty returns if track does not contain objects.
TrackedObject & | operator[] (size_t i)
| operator [] return non-const reference to detected object with specified index.
const TrackedObject & | operator[] (size_t i) const
| operator [] return const reference to detected object with specified index.
size_t | size () const
| size returns number of detected objects in a track.

## Public Attributes
cv::Mat | descriptor_fast
| Fast descriptor.
cv::Mat | descriptor_strong
| Strong descriptor (reid embedding).
TrackedObject | first_object
| First object in track.
cv::Mat | last_image
| Image of last detected object in track.
size_t | length
size_t | lost
| How many frames ago track has been lost.
TrackedObjects | objects
| Detected objects;.
cv::Rect | predicted_rect

## Detailed Description

The Track class describes tracks.

## Constructor & Destructor Documentation

## ◆ Track()

cv::detail::tracking::tbm::Track::Track | ( | const TrackedObjects & | objs,
|  | const cv::Mat & | last_image,
|  | const cv::Mat & | descriptor_fast,
|  | const cv::Mat & | descriptor_strong )
| inline

Track constructor.

Parameters

  objs | Detected objects sequence.
  last_image | Image of last image in the detected object sequence.
  descriptor_fast | Fast descriptor.
  descriptor_strong | Strong descriptor (reid embedding).

## Member Function Documentation

## ◆ back() [1/2]

TrackedObject & cv::detail::tracking::tbm::Track::back | ( |  | ) |
| inline

back returns non-const reference to last object in track.

Returns
  non-const reference to last object in track.

## ◆ back() [2/2]

const TrackedObject & cv::detail::tracking::tbm::Track::back | ( |  | ) | const
| inline

back returns const reference to last object in track.

Returns
  const reference to last object in track.

## ◆ empty()

bool cv::detail::tracking::tbm::Track::empty | ( |  | ) | const
| inline

empty returns if track does not contain objects.

Returns
  true if track does not contain objects.

## ◆ operator[]() [1/2]

TrackedObject & cv::detail::tracking::tbm::Track::operator[] | ( | size_t | i | ) |
| inline

operator [] return non-const reference to detected object with specified index.

Parameters

  i | Index of object.

Returns
  non-const reference to detected object with specified index.

## ◆ operator[]() [2/2]

const TrackedObject & cv::detail::tracking::tbm::Track::operator[] | ( | size_t | i | ) | const
| inline

operator [] return const reference to detected object with specified index.

Parameters

  i | Index of object.

Returns
  const reference to detected object with specified index.

## ◆ size()

size_t cv::detail::tracking::tbm::Track::size | ( |  | ) | const
| inline

size returns number of detected objects in a track.

Returns
  number of detected objects in a track.

## Member Data Documentation

## ◆ descriptor_fast

cv::Mat cv::detail::tracking::tbm::Track::descriptor_fast

Fast descriptor.

## ◆ descriptor_strong

cv::Mat cv::detail::tracking::tbm::Track::descriptor_strong

Strong descriptor (reid embedding).

## ◆ first_object

TrackedObject cv::detail::tracking::tbm::Track::first_object

First object in track.

## ◆ last_image

cv::Mat cv::detail::tracking::tbm::Track::last_image

Image of last detected object in track.

## ◆ length

size_t cv::detail::tracking::tbm::Track::length

Length of a track including number of objects that were removed from track in order to avoid memory usage growth.

## ◆ lost

size_t cv::detail::tracking::tbm::Track::lost

How many frames ago track has been lost.

## ◆ objects

TrackedObjects cv::detail::tracking::tbm::Track::objects

Detected objects;.

## ◆ predicted_rect

cv::Rect cv::detail::tracking::tbm::Track::predicted_rect

Rectangle that represents predicted position and size of bounding box if track has been lost.

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_by_matching.hpp